Package org.eclipse.net4j.util.io

# Interface StringIO

All Known Implementing Classes:
  `StringCompressor`, `StringCompressor.Counting`

public interface StringIO

Since:
  2.0
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StringIO`
`DIRECT`

## Method Summary

Modifier and Type
Method
Description
`String`
`read(ExtendedDataInput in)`
`void`
`write(ExtendedDataOutput out, String string)`

## Field Details

### DIRECT

static final StringIO DIRECT

## Method Details

### write

void write(ExtendedDataOutput out, String string) throws IOException

Throws:
  `IOException`

### read

String read(ExtendedDataInput in) throws IOException

Throws:
  `IOException`